# Dokończenie na następnym wykładzie
import string

# lista słów w podanym pliku (z powtówrzeniami)
def list_words_in_file(input_file):
    word_list = []
    # encoding='utf8' - może być konieczne pod Windowsem
    with open(input_file, encoding='utf8') as f:
        for line in f:
            words = line.split()
            for word in words:
                word = word.strip(string.punctuation).casefold()
                if word == '': # dodane po wykładzie
                    continue
                word_list.append(word)
    return word_list

if __name__ == "__main__":
    # w materiałach sa jeszcze inne pliki
    print(list_words_in_file('20000en.txt'))
    # print(list_words_in_file('southpole.txt'))
    # print(list_words_in_file('politeia.txt'))
    # print(list_words_in_file('prideandprejudice.txt'))
    
